6.0.0-git
2021-01-18

[#8664] Some errors are produced when the script create.msde.sql is executed in MSSQL 2005
Summary Some errors are produced when the script create.msde.sql is executed in MSSQL 2005
Queue Horde Base
Queue Version 3.3.5
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester emma.varela (at) usc (dot) es
Created 2009-10-28 (4100 days ago)
Due 10/28/2009 (4100 days ago)
Updated 2010-01-13 (4023 days ago)
Assigned
Resolved 2009-11-07 (4090 days ago)
Milestone 3.3.6
Patch No

History
2009-11-07 13:08:14 Jan Schneider Comment #4
Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 3.3.6
Reply to this comment
Fixed, thanks!
2009-11-07 13:04:58 CVS Commit Comment #3 Reply to this comment
2009-11-07 13:04:16 CVS Commit Comment #2 Reply to this comment
Changes have been made in CVS for this ticket:

Fix syntax. Also no index for CLOB fields (Bug #8664).
http://cvs.horde.org/diff.php/horde/scripts/sql/create.msde.sql?rt=horde&r1=1.1.2.20&r2=1.1.2.21&ty=u
2009-10-28 10:02:40 emma (dot) varela (at) usc (dot) es Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Some errors are produced when the script create.msde.sql is executed in MSSQL 2005
Due ⇒ 2009-10-28
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
* Some errors are produced when the script create.msde.sql is executed 
in MSSQL 2005:



1- SQL Server does not support the UNSIGNED attribute on integer types.



2- The column 'attribute_value' of the table 
'horde_datatree_attributes' is a type of data that is not valid to be 
used as column of key in an index. This is because varchar(MAX) 
columns cannot be specified as a key column in an index.



* Also there is a problem with the script turba.mssql.sql in the turba module:



BLOB data type is not available.

It is necessary to change BLOB type for IMAGE type.

Saved Queries